CREATE TABLE bank_account (
    id SERIAL PRIMARY KEY,
    user_id INTEGER NOT NULL REFERENCES users(id) ON DELETE CASCADE,
    account_number CHAR(10) NOT NULL UNIQUE,
    name VARCHAR(50) NOT NULL,
    balance INTEGER NOT NULL DEFAULT 0
)